Bug 732509 - Can not import a certificate via the cli
Summary: Can not import a certificate via the cli
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager
Version: 5.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Chris Duryee
QA Contact:
URL:
Whiteboard:
Depends On: 730380
Blocks: 715031
TreeView+ depends on / blocked
 
Reported: 2011-08-22 18:20 UTC by Mike Khusid
Modified: 2013-04-02 23:46 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was decided a long time ago that a Command Line Interface "root" user could accomplish import using: cp <import_file> /etc/pki/entitlement The design has changed so that an entitlement cert from rhsm-web can now have a key appended. As such a CLI import function makes sense to handle splitting the contents of the import file.
Clone Of: 730380
Environment:
Last Closed: 2012-02-21 06:31:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0154 normal SHIPPED_LIVE subscription-manager bug fix update 2012-02-20 15:06:04 UTC

Description Mike Khusid 2011-08-22 18:20:13 UTC
Please backport to RHEL5.

+++ This bug was initially created as a clone of Bug #730380 +++

GUI has this functionality, the cli does not.

--- Additional comment from jsefler@redhat.com on 2011-08-12 15:15:26 EDT ---

Background...
It was decided a long time ago that a CLI "root" user could accomplish import using: cp <import_file> /etc/pki/entitlement

However, the design has changed so that an entitlement cert from rhsm-web can now have a key appended (see bug 712980).  As such a CLI import function makes sense to handle splitting the contents of the import file..

--- Additional comment from bkearney@redhat.com on 2011-08-15 14:05:19 EDT ---

fixed in master at eeb90f106bc8fe32baf797ae33bdfc48608738f2.

Comment 1 Bryan Kearney 2011-10-20 14:38:51 UTC
Master as of 20 October supports this, so 5.8 will supprot this.

Comment 2 errata-xmlrpc 2011-10-28 18:56:45 UTC
Bug report changed to ON_QA status by Errata System.
A QE request has been submitted for advisory RHBA-2011:12204-01
http://errata.devel.redhat.com/errata/show/12204

Comment 3 Shwetha Kallesh 2011-11-24 10:01:10 UTC
Moving the bug to verified...


RPM used:
[root@tiger entitlement]# rpm -qa | grep subscription-manager
subscription-manager-gnome-0.98.3-1.git.16.14460bc.el5_7
subscription-manager-firstboot-0.98.3-1.git.16.14460bc.el5_7
subscription-manager-migration-0.98.3-1.git.16.14460bc.el5_7
subscription-manager-0.98.3-1.git.16.14460bc.el5_7

Steps to verify:

[root@tiger entitlement]# subscription-manager import --certificate=/shwetha.pem 
Successfully imported certificate shwetha.pem

[root@tiger entitlement]# ll
total 16
-rw-r--r-- 1 root root 1678 Nov 24 03:26 596101531355637997-key.pem
-rw-r--r-- 1 root root 1788 Nov 24 03:26 596101531355637997.pem

Comment 4 William Poteat 2012-01-20 19:20:25 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
It was decided a long time ago that a Command Line Interface "root" user could accomplish import using: cp <import_file> /etc/pki/entitlement

The design has changed so that an entitlement cert from rhsm-web can now have a key appended.  As such a CLI import function makes sense to handle splitting the contents of the import file.

Comment 5 errata-xmlrpc 2012-02-21 06:31:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0154.html


Note You need to log in before you can comment on or make changes to this bug.